## ardour 8.2.0+ds

=== gtk2_ardour/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
from waflib import Options, TaskGen
import waflib.Logs as Logs, waflib.Utils as Utils
import os
import sys
import re
import subprocess
import glob

@TaskGen.extension('.m')
def m_hook(self, node):
    """Alias .m files to be compiled the same as .c files, gcc will do the right thing."""
    return self.create_compiled_task('c', node)

gtk2_ardour_sources = [
        'about.cc',
        'actions.cc',
        'add_route_dialog.cc',
        'ambiguous_file_dialog.cc',
        'analysis_window.cc',
        'ardour_dialog.cc',
        'ardour_http.cc',
        'ardour_message.cc',
        'ardour_ui.cc',
        'ardour_ui2.cc',
        'ardour_ui3.cc',
        'ardour_ui_access_web.cc',
        'ardour_ui_dependents.cc',
        'ardour_ui_dialogs.cc',
        'ardour_ui_ed.cc',
        'ardour_ui_engine.cc',
        'ardour_ui_keys.cc',
        'ardour_ui_mixer.cc',
        'ardour_ui_options.cc',
        'ardour_ui_session.cc',
        'ardour_ui_startup.cc',
        'ardour_ui_video.cc',
        'ardour_window.cc',
        'audio_clock.cc',
        'audio_clip_editor.cc',
        'audio_region_editor.cc',
        'audio_region_view.cc',
        'audio_region_operations_box.cc',
        'audio_region_properties_box.cc',
        'audio_trigger_properties_box.cc',
        'audio_streamview.cc',
        'audio_time_axis.cc',
        'automation_controller.cc',
        'automation_line.cc',
        'automation_region_view.cc',
        'automation_streamview.cc',
        'automation_time_axis.cc',
        'axis_view.cc',
        # 'beatbox_gui.cc',
        'bbt_marker_dialog.cc',
        'big_clock_window.cc',
        'big_transport_window.cc',
        'bundle_manager.cc',
        'clock_group.cc',
        'color_theme_manager.cc',
        'configinfo.cc',
        'control_point.cc',
        'control_point_dialog.cc',
        'control_slave_ui.cc',
        'cuebox_ui.cc',
        'cursor_context.cc',
        'curvetest.cc',
        'debug.cc',
        'dsp_stats_ui.cc',
        'dsp_stats_window.cc',
        'duplicate_routes_dialog.cc',
        'edit_note_dialog.cc',
        'editing.cc',
        'editor.cc',
        'editor_actions.cc',
        'editor_audio_import.cc',
        'editor_pt_import.cc',
        'editor_audiotrack.cc',
        'editor_canvas.cc',
        'editor_canvas_events.cc',
        'editor_component.cc',
        'editor_cursors.cc',
        'editor_drag.cc',
        'editor_route_groups.cc',
        'editor_section_box.cc',
        'editor_export_audio.cc',
        'editor_group_tabs.cc',
        'editor_keys.cc',
        'editor_locations.cc',
        'editor_markers.cc',
        'editor_mixer.cc',
        'editor_mouse.cc',
        'editor_ops.cc',
        'editor_regions.cc',
        'editor_routes.cc',
        'editor_rulers.cc',
        'editor_sections.cc',
        'editor_selection.cc',
        'editor_snapshots.cc',
        'editor_sources.cc',
        'editor_summary.cc',
        'editor_tempodisplay.cc',
        'editor_timefx.cc',
        'engine_dialog.cc',
        'enums.cc',
        'export_analysis_graphs.cc',
        'export_channel_selector.cc',
        'export_dialog.cc',
        'export_file_notebook.cc',
        'export_filename_selector.cc',
        'export_format_dialog.cc',
        'export_format_selector.cc',
        'export_preset_selector.cc',
        'export_report.cc',
        'export_timespan_selector.cc',
        'fitted_canvas_widget.cc',
        'fft.cc',
        'fft_graph.cc',
        'fft_result.cc',
        'floating_text_entry.cc',
        'foldback_strip.cc',
        'sfdb_freesound_mootcher.cc',
        'gain_meter.cc',
        'generic_pluginui.cc',
        'ghostregion.cc',
        'global_port_matrix.cc',
        'group_tabs.cc',
        'gui_object.cc',
        'idleometer.cc',
        'input_port_monitor.cc',
        'insert_remove_time_dialog.cc',
        'instrument_selector.cc',
        'interthread_progress_window.cc',
        'io_button.cc',
        'io_plugin_window.cc',
        'io_selector.cc',
        'hit.cc',
        'keyboard.cc',
        'keyeditor.cc',
        'latency_gui.cc',
        'led.cc',
        'level_meter.cc',
        'library_download_dialog.cc',
        'location_ui.cc',
        'loudness_dialog.cc',
        'loudness_settings.cc',
        'lua_script_manager.cc',
        'luadialog.cc',
        'luainstance.cc',
        'luawindow.cc',
        'main.cc',
        'main_clock.cc',
        'marker.cc',
    	'mergeable_line.cc',
        'midi_automation_line.cc',
        'midi_channel_dialog.cc',
        'midi_channel_selector.cc',
        'midi_clip_editor.cc',
        'midi_cut_buffer.cc',
        'midi_export_dialog.cc',
        'midi_list_editor.cc',
        'midi_region_view.cc',
        'midi_region_operations_box.cc',
        'midi_region_properties_box.cc',
        'midi_trigger_properties_box.cc',
        'midi_selection.cc',
        'midi_streamview.cc',
        'midi_time_axis.cc',
        'midi_tracer.cc',
        'midi_velocity_dialog.cc',
        'mini_timeline.cc',
        'missing_file_dialog.cc',
        'missing_filesource_dialog.cc',
        'missing_plugin_dialog.cc',
        'mixer_group_tabs.cc',
        'mixer_strip.cc',
        'mixer_ui.cc',
        'meterbridge.cc',
        'meter_strip.cc',
        'meter_patterns.cc',
        'monitor_section.cc',
        'mono_panner.cc',
        'mono_panner_editor.cc',
        'mouse_cursors.cc',
        'multi_region_properties_box.cc',
        'nag.cc',
        'new_plugin_preset_dialog.cc',
        'new_user_wizard.cc',
        'normalize_dialog.cc',
        'note.cc',
        'note_base.cc',
        'note_player.cc',
        'note_select_dialog.cc',
        'nsm.cc',
        'nsmclient.cc',
        'option_editor.cc',
        'opts.cc',
        'panner2d.cc',
        'panner_editor.cc',
        'panner_interface.cc',
        'panner_ui.cc',
        'patch_change.cc',
        'patch_change_widget.cc',
        'pianokeyboard.cc',
        'piano_key_bindings.cc',
        'piano_roll_header.cc',
        'pingback.cc',
        'playlist_selector.cc',
        'plugin_display.cc',
        'plugin_eq_gui.cc',
        'plugin_manager_ui.cc',
        'plugin_pin_dialog.cc',
        'plugin_presets_ui.cc',
        'plugin_scan_dialog.cc',
        'plugin_setup_dialog.cc',
        'plugin_selector.cc',
        'plugin_ui.cc',
        'plugin_dspload_ui.cc',
        'plugin_dspload_window.cc',
        'port_group.cc',
        'port_insert_ui.cc',
        'port_matrix.cc',
        'port_matrix_body.cc',
        'port_matrix_column_labels.cc',
        'port_matrix_component.cc',
        'port_matrix_grid.cc',
        'port_matrix_labels.cc',
        'port_matrix_row_labels.cc',
        'processor_box.cc',
        'processor_selection.cc',
        'patch_change_dialog.cc',
        'progress_reporter.cc',
        'pt_import_selector.cc',
        'public_editor.cc',
        'quantize_dialog.cc',
        'rc_option_editor.cc',
        'rec_info_box.cc',
        'recorder_group_tabs.cc',
        'recorder_ui.cc',
        'region_editor.cc',
        'region_gain_line.cc',
        'region_layering_order_editor.cc',
        'region_list_base.cc',
        'region_peak_cursor.cc',
        'region_selection.cc',
        'region_view.cc',
        'return_ui.cc',
        'rhythm_ferret.cc',
        'route_group_dialog.cc',
        'route_group_menu.cc',
        'route_list_base.cc',
        'route_params_ui.cc',
        'route_processor_selection.cc',
        'route_time_axis.cc',
        'route_ui.cc',
        'ruler_dialog.cc',
        'save_as_dialog.cc',
        'save_template_dialog.cc',
        'search_path_option.cc',
        'screensaver.cc',
        'script_selector.cc',
        'selection.cc',
        'selection_properties_box.cc',
        'selection_memento.cc',
        'send_ui.cc',
        'session_archive_dialog.cc',
        'session_dialog.cc',
        'session_import_dialog.cc',
        'session_metadata_dialog.cc',
        'session_option_editor.cc',
        'sfdb_ui.cc',
        'shuttle_control.cc',
        'simple_export_dialog.cc',
        'slot_properties_box.cc',
        'source_list_base.cc',
        'soundcloud_export_selector.cc',
        'splash.cc',
        'speaker_dialog.cc',
        'startup_fsm.cc',
        'step_editor.cc',
        'step_entry.cc',
        'stereo_panner.cc',
        'stereo_panner_editor.cc',
        'streamview.cc',
        'strip_silence_dialog.cc',
        'stripable_colorpicker.cc',
        'stripable_time_axis.cc',
        'sys_ex.cc',
        'template_dialog.cc',
        'tempo_curve.cc',
        'tempo_dialog.cc',
        'grid_lines.cc',
        'tempo_map_change.cc',
        'time_axis_view.cc',
        'time_axis_view_item.cc',
        'time_fx_dialog.cc',
        'time_info_box.cc',
        'time_selection.cc',
        'timers.cc',
        'track_record_axis.cc',
        'track_selection.cc',
        'track_view_list.cc',
        'transform_dialog.cc',
        'transport_control.cc',
        'transport_control_ui.cc',
        'transport_masters_dialog.cc',
        'transpose_dialog.cc',
        'trigger_clip_picker.cc',
        'trigger_jump_dialog.cc',
        'trigger_page.cc',
        'trigger_region_list.cc',
        'trigger_route_list.cc',
        'trigger_source_list.cc',
        'trigger_strip.cc',
        'trigger_master.cc',
        'trigger_ui.cc',
        'triggerbox_ui.cc',
        'ui_config.cc',
        'utils.cc',
        'varispeed_dialog.cc',
        'vca_master_strip.cc',
        'verbose_cursor.cc',
        'virtual_keyboard_window.cc',
        'visibility_group.cc',
        'window_manager.cc',
        # video-timeline related sources:
        'video_image_frame.cc',
        'add_video_dialog.cc',
        'editor_videotimeline.cc',
        'vca_time_axis.cc',
        'video_timeline.cc',
        'video_monitor.cc',
        'transcode_ffmpeg.cc',
        'transcode_video_dialog.cc',
        'velocity_ghost_region.cc',
        'video_server_dialog.cc',
        'utils_videotl.cc',
        'export_video_dialog.cc'
]

def enoify (major, minor):
    # Code names based on
    # https://en.wikipedia.org/wiki/Brian_Eno_discography
    #
    # sort Studio albums + Collaborative albums + Compilation albums by Month/Year.
    # (no Singles, no EPs, no Video Albums, no Production)
    if major == 3:
        return "\\n\\\"E-No\\\""
    elif major == 4:
        if minor == 0:
            return "\\n\\\"No Pussyfooting\\\""
        elif minor == 1:
            return "\\n\\\"Here Come the Warm Jets\\\""
        elif minor == 2:
            return "\\n\\\"Taking Tiger Mountain\\\""
        elif minor == 3:
            return "\\n\\\"Lady June's Linguistic Leprosy\\\""
        elif minor == 4:
            return "\\n\\\"Discreet Music\\\""
        elif minor == 5:
            return "\\n\\\"Another Green World\\\""
        elif minor == 6:
            return "\\n\\\"Evening Star\\\""
        elif minor == 7:
            return "\\n\\\"Cluster and Eno\\\""
    elif major == 5:
        if minor == 0:
            return "\\n\\\"Before and After Science\\\""
        elif minor == 1:
            return "\\n\\\"After the Heat\\\""
        elif minor == 2:
            return "\\n\\\"Music for Airports\\\""
        elif minor == 3:
            return "\\n\\\"Music for Films\\\""
        elif minor == 4:
            return "\\n\\\"In a Land of Clear Colours\\\""
        elif minor == 5:
            return "\\n\\\"The Plateaux of Mirror\\\""
        elif minor == 6:
            return "\\n\\\"Possible Musics\\\"" # 1980 Collaborative
        elif minor == 7:
            return "\\n\\\"My Life in the Bush of Ghosts\\\"" # 1981
        elif minor == 8:
            return "\\n\\\"Music for Airplay\\\"" # 1981 Compilation
        elif minor == 9:
            return "\\n\\\"On Land\\\"" # 1982
        elif minor == 10:

=== session_utils/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import waflib.Utils as Utils
import os
import sys

def options(opt):
    pass

def configure(conf):
    if not "dummy" in conf.env['BACKENDS']:
        print ('session-utils depend on the dummy backend.')
        autowaf.display_msg(conf, 'build session-utils', 'no')
        return

    autowaf.display_msg(conf, 'build session-utils', 'yes')

def build_ardour_util(bld, util):
    pgmprefix = bld.env['PROGRAM_NAME'].lower() + bld.env['MAJOR']

    # just the normal executable version of the GTK GUI
    obj = bld (features = 'cxx c cxxprogram')
    # this program does not do the whole hidden symbols thing
    obj.cxxflags = [ '-fvisibility=default' ]
    obj.source   = ['common.cc', util + '.cc' ]
    obj.target   = pgmprefix + '-' + util
    obj.includes = ['.']
    obj.use      = [ 'libpbd',
                     'libardour',
                     'libardour_cp',
                     'libtemporal',
                     'libmidipp',
                     ]
    obj.defines = [
        'VERSIONSTRING="' + bld.env['VERSION'] + '"',
        'UTILNAME="'   + str(pgmprefix + '-' + util) + '"',
        'DATA_DIR="'   + os.path.normpath(bld.env['DATADIR']) + '"',
        'CONFIG_DIR="' + os.path.normpath(bld.env['SYSCONFDIR']) + '"',
        'LOCALEDIR="'  + os.path.join(os.path.normpath(bld.env['DATADIR']), 'locale') + '"',
        'PACKAGE="'    + "ARDOURUTILS" + '"',
        ]
    obj.install_path = bld.env['LIBDIR'] + '/utils'
    obj.uselib       = 'UUID FLAC FONTCONFIG GLIBMM GIOMM GTHREAD OGG CURL DL XML'
    obj.uselib       += ' AUDIOUNITS OSX LO '
    obj.uselib       += ' FFTW3F LO TAGLIB LILV RUBBERBAND AUBIO LRDF ARCHIVE VAMPSDK VAMPHOSTSDK'

    if util == "new_aaf_session":
        if bld.is_defined('USE_EXTERNAL_LIBS'):
            obj.uselib += ' LIBAAF'
        else:
            obj.use.extend (['libaaf'])

    if bld.is_defined('HAVE_SUIL'):
        obj.uselib += ' SUIL'

    if bld.is_defined('HAVE_USB'):
        obj.uselib += ' USB'

    if sys.platform == 'darwin':
        obj.uselib += ' AUDIOUNITS OSX'
        obj.use    += ' libappleutility'
    obj.includes += ['../libs']

    if bld.env['build_target'] == 'mingw':
        obj.install_path = bld.env['BINDIR']

    if bld.is_defined('NEED_INTL'):
        obj.linkflags = ' -lintl'

def build(bld):
    # session-utils depend on the dummy backend
    if not "dummy" in bld.env['BACKENDS']:
        return

    pgmprefix = bld.env['PROGRAM_NAME'].lower() + bld.env['MAJOR']

    utils = bld.path.ant_glob('[a-z]*.cc', excl=['example.cc', 'common.cc'])

    for util in utils:
        fn = os.path.splitext(os.path.basename(str(util)))[0]
        build_ardour_util(bld, fn)
        if bld.env['build_target'] != 'mingw':
            bld.symlink_as(bld.env['BINDIR'] + '/' + pgmprefix + "-" + fn, bld.env['LIBDIR'] + '/utils/ardour-util.sh')

    if bld.env['build_target'] == 'mingw':
        return

    obj              = bld(features = 'subst')
    obj.source       = 'ardour-util.sh.in'
    obj.target       = 'ardour-util.sh'
    obj.chmod        = Utils.O755
    obj.install_path = bld.env['LIBDIR']  + '/utils'
    obj.LIBDIR       = os.path.normpath(bld.env['DLLDIR'])
    obj.DATADIR      = os.path.normpath(bld.env['DATADIR'])
    obj.CONFDIR      = os.path.normpath(bld.env['CONFDIR'])

=== libs/aaf/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

# Version of this package (even if built as a child)
LIBAAF_VERSION = '0.0.0'
LIBAAF_LIB_VERSION = '0.0.0'

# Variables for 'waf dist'
APPNAME = 'libaaf'
VERSION = LIBAAF_VERSION
I18N_PACKAGE = 'libaaf'

# Mandatory variables
top = '.'
out = 'build'

libaaf_sources = [
	'AAFClass.c',
	'AAFCore.c',
	'AAFDump.c',
	'AAFIAudioFiles.c',
	'AAFIface.c',
	'AAFIParser.c',
	'AAFToText.c',
	'CFBDump.c',
	'LibCFB.c',
	'ProTools.c',
	'Resolve.c',
	'RIFFParser.c',
	'URIParser.c',
	'utils.c',
	'debug.c',
]

def options(opt):
    autowaf.set_options(opt)

def configure(conf):
    if conf.is_defined('USE_EXTERNAL_LIBS'):
        autowaf.check_pkg(conf, 'aaf', uselib_store='LIBAAF', mandatory=True)

def build(bld):
    if bld.is_defined('USE_EXTERNAL_LIBS'):
        return

    if bld.is_defined ('INTERNAL_SHARED_LIBS'):
        obj              = bld.shlib(features = 'c cshlib', source=libaaf_sources)
        obj.defines = [ 'LIBAAF_DLL_EXPORTS=1' ]
    else:
        obj              = bld.stlib(features = 'c cshlib', source=libaaf_sources)
        obj.cflags       = [ bld.env['compiler_flags_dict']['pic'] ]
        obj.defines      = []

    obj.export_includes  = ['.']
    obj.includes         = ['.']
    obj.name             = 'libaaf'
    obj.target           = 'aaf'
    #obj.uselib          = 'GLIB'
    obj.vnum             = LIBAAF_LIB_VERSION
    obj.install_path     = bld.env['LIBDIR']
    obj.defines         += [ 'PACKAGE="' + I18N_PACKAGE + '"' ]

def shutdown():
    autowaf.shutdown()

=== libs/canvas/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

# Version of this package (even if built as a child)
MAJOR = '0'
MINOR = '0'
MICRO = '0'
CANVAS_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
CANVAS_LIB_VERSION = '0.0.0'

I18N_PACKAGE = 'libcanvas'

canvas_sources = [
        'arc.cc',
        'arrow.cc',
        'box.cc',
        'canvas.cc',
        'circle.cc',
        'container.cc',
        'curve.cc',
        'debug.cc',
        'item.cc',
        'fill.cc',
        'flag.cc',
        'framed_curve.cc',
        'grid.cc',
        'image.cc',
        'line.cc',
        'line_set.cc',
        'lollipop.cc',
        'lookup_table.cc',
        'meter.cc',
        'note.cc',
        'outline.cc',
        'pixbuf.cc',
        'poly_item.cc',
        'poly_line.cc',
        'polygon.cc',
        'rectangle.cc',
        'root_group.cc',
        'ruler.cc',
        'scroll_group.cc',
        'stateful_image.cc',
        'step_button.cc',
        'table.cc',
        'text.cc',
        'tracking_text.cc',
        'types.cc',
        'utils.cc',
        'widget.cc',
        'xfade_curve.cc',
]

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'cairomm-1.0', uselib_store='CAIROMM', atleast_version='1.8.4')

def build(bld):
    # Library
    if bld.is_defined ('INTERNAL_SHARED_LIBS'):
        obj = bld.shlib(features = 'cxx cxxshlib', source=canvas_sources)
        obj.defines      = [ 'LIBCANVAS_DLL_EXPORTS=1' ]
    else:
        obj = bld.stlib(features = 'cxx cxxstlib', source=canvas_sources)
        obj.cxxflags = [ bld.env['compiler_flags_dict']['pic'] ]
        obj.cflags   = [ bld.env['compiler_flags_dict']['pic'] ]
        obj.defines  = [ ]

    obj.export_includes = ['.']
    obj.includes     = ['.']
    obj.uselib       = 'SIGCPP CAIROMM GTKMM BOOST XML OSX'
    obj.use          = [ 'libpbd', 'libgtkmm2ext' ]
    obj.name         = 'libcanvas'
    obj.target       = 'canvas'
    obj.vnum         = CANVAS_LIB_VERSION
    obj.install_path = bld.env['LIBDIR']
    obj.defines      += [ 'PACKAGE="' + I18N_PACKAGE + '"' ]

    # canvas unit-tests are outdated
    if False and bld.env['BUILD_TESTS'] and bld.is_defined('HAVE_CPPUNIT'):
            unit_testobj              = bld(features = 'cxx cxxprogram')
            unit_testobj.source       = '''
                    test/group.cc
                    test/arrow.cc
                    test/optimizing_lookup_table.cc
                    test/polygon.cc
                    test/types.cc
                    test/render.cc
                    test/xml.cc
                    test/wave_view.cc
                    test/item.cc
                    test/testrunner.cpp
                '''.split()

            unit_testobj.includes     = obj.includes + ['test', '../pbd']
            unit_testobj.uselib       = 'CPPUNIT SIGCPP CAIROMM GTKMM'
            unit_testobj.uselib_local = 'libcanvas libgtkmm2ext'
            unit_testobj.name         = 'libcanvas-unit-tests'
            unit_testobj.target       = 'run-tests'
            unit_testobj.install_path = ''
            unit_testobj.cxxflags     = ['-DPACKAGE="libcanvastest"']
            unit_testobj.cxxflags     += ['-DDATA_DIR="' + os.path.normpath(bld.env['DATADIR']) + '"']
            unit_testobj.cxxflags     += ['-DCONFIG_DIR="' + os.path.normpath(bld.env['CONFDIR']) + '"']
            unit_testobj.cxxflags     += ['-DMODULE_DIR="' + os.path.normpath(bld.env['LIBDIR']) + '"']

            manual_tests              = '''
                        test/hello_world.cc
                        test/gtk_many.cc
                        test/gtk_scene.cc
                        test/gtk_movement.cc
                        test/gtk_viewport.cc
                        test/gtk_drag.cc
                '''.split()

            for t in manual_tests:
                    target = t[:-3]
                    name = t[t.find('/')+1:-3]
                    manual_testobj = bld(features = 'cxx cxxprogram')
                    manual_testobj.source = t
                    manual_testobj.includes = obj.includes + ['test', '../pbd']
                    manual_testobj.uselib       = 'CPPUNIT SIGCPP CAIROMM GTKMM'
                    manual_testobj.uselib_local = 'libcanvas libgtkmm2ext'
                    manual_testobj.name         = 'libcanvas-manual-test-%s' % name
                    manual_testobj.target       = target
                    manual_testobj.install_path = ''

            benchmarks = '''
                        benchmark/items_at_point.cc
                        benchmark/render_parts.cc
                        benchmark/render_from_log.cc
                        benchmark/render_whole.cc
                '''.split()

            for t in benchmarks:
                    target = t[:-3]
                    name = t[t.find('/')+1:-3]
                    manual_testobj = bld(features = 'cxx cxxprogram')
                    manual_testobj.source = [ t, 'benchmark/benchmark.cc' ]
                    manual_testobj.includes = obj.includes + ['test', '../pbd']
                    manual_testobj.uselib       = 'CPPUNIT SIGCPP CAIROMM GTKMM'
                    manual_testobj.uselib_local = 'libcanvas libgtkmm2ext'
                    manual_testobj.name         = 'libcanvas-benchmark-%s' % name
                    manual_testobj.target       = target
                    manual_testobj.install_path = ''

=== libs/clearlooks-newer/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os
import sys

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'c cshlib')
    obj.source = '''
    animation.c
    cairo-support.c
    clearlooks_draw.c
    clearlooks_draw_glossy.c
    clearlooks_draw_gummy.c
    clearlooks_draw_inverted.c
    clearlooks_rc_style.c
    clearlooks_style.c
    clearlooks_theme_main.c
    support.c
    widget-information.c
    '''

    obj.name = 'clearlooks-newer'
    obj.target = 'clearlooks'
    obj.uselib = 'GTK'
    obj.includes = '.'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'engines')
    autowaf.ensure_visible_symbols (obj, True)

    if sys.platform == 'darwin':
        # Bit of a hack: make a symlink to the .dylib that meets GTK's criteria for finding it (namely that the library must be a *.so
        # and that it must reside in a directory called `engines')
        obj = bld(target = 'engines', rule = 'mkdir -p ${TGT} && rm -f ${TGT}/libclearlooks.so && ln -s ../libclearlooks.dylib ${TGT}/libclearlooks.so')
    elif bld.env['build_target'] != 'mingw':
        # this is a hack so that running ./ardev will work, since it sets GTK_PATH to include this dir and GTK will search {thisdir}/engines
        obj = bld(target = 'engines', rule = 'mkdir -p ${TGT} && rm -f ${TGT}/libclearlooks.so && ln -s ../libclearlooks.so ${TGT}/libclearlooks.so')

=== libs/gtkmm2ext/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os
import sys

# Version of this package (even if built as a child)
MAJOR = '0'
MINOR = '8'
MICRO = '3'
GTKMM2EXT_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
GTKMM2EXT_LIB_VERSION = '0.8.3'

I18N_PACKAGE = 'gtkmm2ext3'

gtkmm2ext_sources = [
        'actions.cc',
        'action_model.cc',
        'application.cc',
        'bindings.cc',
        'cairo_packer.cc',
        'cairo_theme.cc',
        'cairo_widget.cc',
        'cell_renderer_color_selector.cc',
        'cell_renderer_pixbuf_multi.cc',
        'cell_renderer_pixbuf_toggle.cc',
        'colors.cc',
        'colorspace.cc',
        'cursors.cc',
        'debug.cc',
        'dndtreeview.cc',
        'emscale.cc',
        'gtk_ui.cc',
        'gtkapplication.c',
        'keyboard.cc',
        'menu_elems.cc',
        'persistent_tooltip.cc',
        'textviewer.cc',
        'treeutils.cc',
        'utils.cc',
        'visibility_tracker.cc',
        'window_proxy.cc',
        'window_title.cc'
]

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM', atleast_version='2.8')
    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK', atleast_version='2.12.1')

def build(bld):
    # operate on copy to avoid adding sources twice
    sources = list(gtkmm2ext_sources)

    if bld.is_defined ('INTERNAL_SHARED_LIBS'):
        obj              = bld.shlib(features = 'c cxx cshlib cxxshlib', source=sources)
        # defines for this library
        obj.defines      = [ 'LIBGTKMM2EXT_DLL_EXPORTS', 'ABSTRACT_UI_EXPORTS' ]
    else:
        obj              = bld.stlib(features = 'c cxx cstlib cxxstlib', source=sources)
        obj.cxxflags     = [ bld.env['compiler_flags_dict']['pic'] ]
        obj.defines      = [ ]

    obj.export_includes = ['.']
    obj.includes     = ['.']
    obj.name         = 'libgtkmm2ext'
    obj.target       = 'gtkmm2ext'
    obj.uselib       = 'GTKMM GTK XML'
    obj.use          = [ 'libpbd' ]
    obj.vnum         = GTKMM2EXT_LIB_VERSION
    obj.install_path = bld.env['LIBDIR']
    obj.defines     += [
                    'PACKAGE="' + I18N_PACKAGE + '"',
                    'LOCALEDIR="' + os.path.join(
                            os.path.normpath(bld.env['DATADIR']), 'locale') + '"']
    if sys.platform == 'darwin':
        obj.source += ['gtkapplication_quartz.mm', 'nsglview.mm']
        obj.uselib += ' OSX'
    else:
        obj.source += ['gtkapplication_x11.c']

    # i18n
    if bld.is_defined('ENABLE_NLS'):
        mo_files = bld.path.ant_glob('po/*.mo')
        for mo in mo_files:
            lang = os.path.basename(mo.srcpath()).replace('.mo', '')
            bld.install_as (os.path.join(os.path.normpath(bld.env['LOCALEDIR']), lang, 'LC_MESSAGES', I18N_PACKAGE + '.mo'),
                            mo)

def i18n(bld):
    autowaf.build_i18n(bld, '.', 'libs/gtkmm2ext', I18N_PACKAGE, gtkmm2ext_sources,
                       'Paul Davis')

def i18n_pot(bld):
    autowaf.build_i18n_pot(bld, '.', 'libs/gtkmm2ext', I18N_PACKAGE, gtkmm2ext_sources,
                       'Paul Davis')

def i18n_po(bld):
    autowaf.build_i18n_po(bld, '.', 'libs/gtkmm2ext', I18N_PACKAGE, gtkmm2ext_sources,
                       'Paul Davis')

def i18n_mo(bld):
    autowaf.build_i18n_mo(bld, '.', 'libs/gtkmm2ext', I18N_PACKAGE, gtkmm2ext_sources,
                       'Paul Davis')

=== libs/surfaces/generic_midi/wscript ===
#!/usr/bin/env python
import os

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = '''
            generic_midi_control_protocol.cc
            gmcp_gui.cc
            interface.cc
            midiinvokable.cc
            midicontrollable.cc
            midifunction.cc
            midiaction.cc
    '''
    obj.export_includes = ['.']
    obj.defines      = [ 'PACKAGE="ardour_genericmidi"' ]
    obj.defines     += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.includes     = [ '.', './generic_midi']
    obj.name         = 'libardour_generic_midi'
    obj.target       = 'ardour_generic_midi'
    obj.uselib       = 'GTKMM GTK GDK XML OSX'
    obj.use          = 'libardour libardour_cp libgtkmm2ext libpbd'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')

=== libs/surfaces/launchpad_pro/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'pangomm-1.4', uselib_store='PANGOMM', atleast_version='1.4', mandatory=True)
    autowaf.check_pkg(conf, 'cairomm-1.0', uselib_store='CAIROMM', atleast_version='1.8.4', mandatory=True)

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = '''
	lppro.cc
	interface.cc
	gui.cc
    '''
    obj.defines      = [ 'PACKAGE="ardour_launchpad_pro"' ]
    obj.defines     += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.defines     += [ 'VERSIONSTRING="' + bld.env['VERSION'] + '"' ]
    obj.includes     = ['.', '..', './launchpad_pro']
    obj.name         = 'libardour_launchpad_pro'
    obj.target       = 'ardour_launchpad_pro'
    obj.uselib       = 'CAIROMM PANGOMM USB GTKMM SIGCPP XML OSX'
    obj.use          = 'libardour libardour_cp libardour_midisurface libgtkmm2ext libpbd libevoral libcanvas libtemporal'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')

def shutdown():
    autowaf.shutdown()

=== libs/surfaces/launchpad_x/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

lpxm_sources = [
    'lpx.cc',
    'gui.cc',
]    

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'pangomm-1.4', uselib_store='PANGOMM', atleast_version='1.4', mandatory=True)
    autowaf.check_pkg(conf, 'cairomm-1.0', uselib_store='CAIROMM', atleast_version='1.8.4', mandatory=True)


def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source         = list(lpxm_sources)
    obj.source        += [ 'launchpad_mini_interface.cc' ]
    obj.defines        = [ 'PACKAGE="ardour_launchpad_mini"' ]
    obj.defines       += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.defines       += [ 'LAUNCHPAD_MINI' ]
    obj.includes       = ['.', ]
    obj.name           = 'libardour_launchpad_mini'
    obj.target         = 'ardour_launchpad_mini'
    obj.uselib         = 'CAIROMM PANGOMM USB GTKMM SIGCPP XML OSX'
    obj.use            = 'libardour libardour_cp libardour_midisurface libgtkmm2ext libpbd libevoral libcanvas libtemporal'
    obj.install_path   = os.path.join(bld.env['LIBDIR'], 'surfaces')

    obj = bld(features = 'cxx cxxshlib')
    obj.source         = list(lpxm_sources)
    obj.source        += [ 'launchpad_x_interface.cc' ]
    obj.defines        = [ 'PACKAGE="ardour_launchpad_x"' ]
    obj.defines       += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.includes       = ['.', ]
    obj.name           = 'libardour_launchpad_x'
    obj.target         = 'ardour_launchpad_x'
    obj.uselib         = 'CAIROMM PANGOMM USB GTKMM SIGCPP XML OSX'
    obj.use            = 'libardour libardour_cp libardour_midisurface libgtkmm2ext libpbd libevoral libcanvas libtemporal'
    obj.install_path   = os.path.join(bld.env['LIBDIR'], 'surfaces')

def shutdown():
    autowaf.shutdown()

=== libs/surfaces/push2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'pangomm-1.4', uselib_store='PANGOMM', atleast_version='1.4', mandatory=True)
    autowaf.check_pkg(conf, 'cairomm-1.0', uselib_store='CAIROMM', atleast_version='1.8.4', mandatory=True)

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = '''
            push2.cc
            buttons.cc
            canvas.cc
            cues.cc
            interface.cc
            midi_byte_array.cc
            leds.cc
            level_meter.cc
            gui.cc
            knob.cc
            layout.cc
            menu.cc
            mix.cc
            scale.cc
            splash.cc
            track_mix.cc
            utils.cc
    '''
    obj.defines      = [ 'PACKAGE="ardour_push2"' ]
    obj.defines     += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.defines     += [ 'VERSIONSTRING="' + bld.env['VERSION'] + '"' ]
    obj.includes     = ['.', '..', './push2']
    obj.name         = 'libardour_push2'
    obj.target       = 'ardour_push2'
    obj.uselib       = 'CAIROMM PANGOMM USB GTKMM SIGCPP XML OSX'
    obj.use          = 'libardour libardour_cp libardour_midisurface libgtkmm2ext libpbd libevoral libcanvas libtemporal'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')

=== libs/surfaces/us2400/wscript ===
#!/usr/bin/env python
import os

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = '''
            button.cc
            controls.cc
            device_info.cc
            device_profile.cc
            fader.cc
            gui.cc
            interface.cc
            jog.cc
            jog_wheel.cc
            led.cc
            us2400_control_protocol.cc
            mcp_buttons.cc
            meter.cc
            midi_byte_array.cc
            pot.cc
            strip.cc
            surface.cc
            surface_port.cc
            types.cc
    '''
    obj.defines      = [ 'PACKAGE="ardour_us2400"' ]
    obj.defines     += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.includes     = [ '.' ]
    obj.name         = 'libardour_us2400'
    obj.target       = 'ardour_us2400'
    obj.uselib       = 'GTKMM XML OSX'
    obj.use          = 'libardour libardour_cp libgtkmm2ext'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')

=== debian/changelog ===
ardour (1:8.2.0+ds-1) unstable; urgency=medium

  * New upstream version 8.2.0+ds

  [ Olivier Humbert ]
  * Update d/copyright.
  * d/ardour.desktop: update to a non-versioned name.

  [ Andrius Merkys ]
  * Fix homepage in debian/control.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Build against local libAAF (not packaged yet)
    + Add (dummy) manpage for 'ardour8-new_aaf_session'
  * Update copyright information
    + Add new files to d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Dec 2023 15:28:31 +0100

ardour (1:8.0.0+ds-1) unstable; urgency=medium

  * New upstream version 8.0.0+ds
    + Refresh patches
    + Rename ardour7 -> ardour8
  * Drop no-longer-existing flag for configure
  * Fix 'clean' target (Closes: #1043734)
  * Update (dummy) manpages
    + Generate one for 'ardour8-lua'
    + Drop the one for the non-existent 'ardour8-fix_bbtppq'
  * Simplify d/watch
  * Update copyright information
    + Add new copyrights and dates
    + Clarify license for share/scripts/simple_arp.lua
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Oct 2023 08:48:09 +0200

=== debian/control ===
Source: ardour
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Dennis Braun <d_braun@kabelmail.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 gettext,
 intltool,
 itstool,
 ladspa-sdk (>= 1.1-2),
 libarchive-dev (>= 3.0.0),
 libasound2-dev (>= 0.9.4) [linux-any],
 libaubio-dev (>= 0.3.2),
 libboost-dev (>= 1.49.0),
 libcairomm-1.0-dev (>= 1.10.0),
 libcurl4-gnutls-dev (>= 7.25.0),
 libcwiid-dev [linux-any],
 libdbus-1-dev,
 libfftw3-dev (>= 3.3.1),
 libfluidsynth-dev,
 libgtkmm-2.4-dev (>= 2.24.2),
 libhidapi-dev,
 libjack-dev,
 liblilv-dev,
 liblo-dev (>= 0.26~),
 liblrdf0-dev (>= 0.4.0),
 libltc-dev,
 libpangomm-1.4-dev (>= 2.28.4),
 libpulse-dev,
 libqm-dsp-dev,
 librubberband-dev,
 libsamplerate0-dev (>= 0.1.8),
 libserd-dev (>= 0.18.2~),
 libsigc++-2.0-dev (>= 2.2.10),
 libsndfile1-dev (>= 1.0.25),
 libsord-dev (>= 0.12.0~),
 libsratom-dev (>= 0.4.2~),
 libsuil-dev (>= 0.6.10~),
 libtag1-dev,
 libusb-1.0-0-dev,
 libwebsockets-dev (>= 2.0.0),
 libxml2-dev (>= 2.5.7),
 lv2-dev (>= 1.2.0),
 python3-isodate,
 python3-rdflib,
 python3-setuptools,
 uuid-dev,
 vamp-plugin-sdk (>=2.1),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://ardour.org
Vcs-Git: https://salsa.debian.org/multimedia-team/ardour.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ardour

Package: ardour
Architecture: any
Depends:
 ardour-data (<< ${source:Upstream-Version}.0~),
 ardour-data (>= ${source:Version}),
 ardour-lv2-plugins (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ardour-video-timeline,
Suggests:
 ${shlibs:Suggests},
Replaces:
 ardour3 (<< 1:3.5),
Breaks:
 ardour3 (<< 1:3.5),
Description: the digital audio workstation
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 Ardour supports pro-audio interfaces
 through the ALSA project, which provides high quality, well designed
 device drivers and API's for audio I/O under Linux. Any interface
 supported by ALSA can be used with Ardour. This includes the
 all-digital 26 channel RME Hammerfall, the Midiman Delta 1010 and many
 others.
 .
 Ardour has support for 24 bit samples
 using floating point internally, non-linear editing with unlimited undo,
 a user-configurable mixer, MTC master/slave capabilities, MIDI hardware
 control surface compatibility.
 .
 It supports MIDI
 Machine Control, and so can be controlled from any MMC controller and
 many modern digital mixers.
 .
 Ardour contains a
 powerful multitrack audio editor/arranger that is completely
 non-destructive and capable of all standard non-linear editing
 operations (insert, replace, delete, move, trim, select,
 cut/copy/paste). The editor has unlimited undo/redo capabilities and can
 save independent "versions" of a track or an entire piece
 .
 Ardour's editor supports the community-developed LADSPA
 plugin standard.  Arbitrary chains of plugins can be attached to any
 portion of a track.  Every mixer strip can have any number of inputs
 and outputs, not just mono, stereo or 5.1.  An N-way panner is
 included, with support for various panning models.  Pre- and post-fader
 sends exist, each with their own gain and pan controls.  Every mixer
 strip acts as its own bus, and thus the bus count in Ardour is
 unlimited.  You can submix any number of strips into another
 strip.
 .
 Ardour's channel capacity is limited only
 by the number on your audio interface and the ability of your disk
 subsystem to stream the data back and forth.
 .
 JACK
 (the JACK Audio Connection Kit) is used for all audio I/O, permitting
 data to be exchanged in perfect samplesync with other applications
 and/or hardware audio interfaces.
 .
 Ardour is
 sample rate and size neutral - any hardware formats from 8 to 32 bits,
 and rates from 8kHz to 192kHz.  Internal processing in 32/64 bit IEEE
 floating point format.
 .
 Further information can be
 found at <https://ardour.org/>.

Package: ardour-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 ardour,
Breaks:
 ardour (<= 1:4.2~dfsg-1),
 ardour3 (<< 1:3.5),
Replaces:
 ardour (<= 1:4.2~dfsg-1),
 ardour3 (<< 1:3.5),
Description: digital audio workstation (data)
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 This package contains the architecture-independent data files.

Package: ardour-video-timeline
Architecture: all
Multi-Arch: foreign
Depends:
 ffmpeg (>= 7:1.2),
 harvid (>= 0.7.0),
 xjadeo (>= 0.6.4),
 ${misc:Depends},
Description: digital audio workstation - video timeline
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 This is a dependency package to add video timeline capabilities to ardour.

Package: ardour-lv2-plugins
Architecture: any
Depends:
 ${misc:Depends},
Provides:
 lv2-plugin,
Description: digital audio workstation - lv2 plugins set
 Ardour is providing a set of LV2 plugins:
  * a-comp.lv2
    - a compressor (mono & stereo versions)
  * a-exp.lv2
    - an expander (mono & stereo versions)
  * a-delay.lv2
    - a delay (mono version)
  * a-eq.lv2
    - an equaliser (mono version)
  * a-reverb.lv2
    - a reverberation (stereo version)
  * a-fluidsynth.lv2
    - a SF2 player (stereo version)
  * reasonablesynth.lv2
    - a reasonably good piano synth (stereo version)
 .
 This package allows these to be used by other hosts as well.

## ardour 8.4.0%2Bds1

=== share/scripts/wscript ===
#!/usr/bin/env python

import os

def configure(conf):
    pass

def build(bld):
    scripts = bld.path.ant_glob ('*.lua', excl=['^_*'])
    bld.install_files (os.path.join(bld.env['DATADIR'], 'scripts'), scripts)

def options(opt):
    pass

=== libs/backends/alsa/wscript ===
#!/usr/bin/env python
import os

I18N_PACKAGE = 'alsa-backend'

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = [
            'alsa_audiobackend.cc',
            'alsa_midi.cc',
            'alsa_rawmidi.cc',
            'alsa_sequencer.cc',
            'alsa_slave.cc',
            'zita-alsa-pcmi.cc',
            ]
    obj.includes = ['.']
    obj.name     = 'alsa_audiobackend'
    obj.target   = 'alsa_audiobackend'
    obj.use      = ['zita-resampler', 'libardour', 'libpbd', 'ardouralsautil']
    obj.uselib   = 'ALSA GLIBMM XML'
    obj.install_path  = os.path.join(bld.env['LIBDIR'], 'backends')
    obj.defines = ['PACKAGE="' + I18N_PACKAGE + '"',
                   'ARDOURBACKEND_DLL_EXPORTS'
                  ]

=== libs/surfaces/us2400/wscript ===
--- 
+++ 
@@ -35,6 +35,11 @@
     obj.includes     = [ '.' ]
     obj.name         = 'libardour_us2400'
     obj.target       = 'ardour_us2400'
-    obj.uselib       = 'GTKMM XML OSX'
+    obj.uselib       = 'XML OSX PANGOMM'
     obj.use          = 'libardour libardour_cp libgtkmm2ext'
     obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')
+    if bld.is_defined('YTK'):
+        obj.use    += ' libytkmm'
+        obj.uselib += ' GLIBMM GIOMM'
+    else:
+        obj.uselib += ' GTKMM'

=== debian/changelog ===
ardour (1:8.4.0+ds1-2ubuntu8) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:10:13 +0000

ardour (1:8.4.0+ds1-2ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:38:01 +0000

ardour (1:8.4.0+ds1-2ubuntu6) noble; urgency=medium

  * No-change rebuild against libgtk2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:18:19 +0000

ardour (1:8.4.0+ds1-2ubuntu5) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:40:39 +0000

ardour (1:8.4.0+ds1-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:01:18 +0000

ardour (1:8.4.0+ds1-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:17:34 +0000

ardour (1:8.4.0+ds1-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:02:58 +0000

ardour (1:8.4.0+ds1-2ubuntu1) noble; urgency=medium

  * Fix parsing of itstool output by suppressing stderr warnings.
    - note: this is a Python3.12 related issue, that should be probably
      also fixed on itstool side.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 10:43:08 +0100

ardour (1:8.4.0+ds1-2) unstable; urgency=medium

  * Drop B-D on libgtkmm-2.4-dev (Closes: #967257)
  * Drop more unnecessary B-Ds.
    Thanks to Robin Gareus <robin@gareus.org>
  * Drop versioned B-Ds satisfied by old-old-stable
  * B-D on libglibmm, libreadline, libxinerama and libxrandr.
    Thanks to Robin Gareus <robin@gareus.org>

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Feb 2024 12:03:29 +0100

ardour (1:8.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 8.4.0+ds1
    + Refresh patches
    + Drop patches applied upstream
  * Update copyright information
    + Add new files to d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Feb 2024 23:51:55 +0100
